{%- from 'components/service_description_header.html.jinja' import service_header -%}
{%- from 'components/metadata.html.jinja' import metadata_card, baustein_referenz -%}
{%- from 'components/help.html.jinja' import empty_entry -%}
{%- from 'components/xzufi_modules.html.jinja' import render_modul, sidebar_navigation, translations, steckbrief, metadata -%}
{%- extends "root.html.jinja" -%}

{%- block page -%}
  {{ service_header(page.header, baseurl) }}

  {# content section #}
  <div class="px-md-5">
    <div class="d-flex flex-column flex-lg-row">
      {{ sidebar_navigation(page.sidebar_navigation) }}

      <div class="container py-3">
        <div class="row">
          <section class="col-lg-9" aria-label="Inhalt">
            <h2 class="visually-hidden">Inhalt</h2>
            {{ steckbrief(page.steckbrief) }}
            {{ render_modul(page.steckbrief.rechtsgrundlagen) }}

            {% for modul in page.module %}
              {{ render_modul(modul) }}
            {% endfor %}
          </section>

          <aside class="col-lg-3" aria-label="Zusätzliche Informationen">
            {{ translations(page.translations) }}

            {% call metadata_card("Zugehöriger Leistungsteckbrief", none) %}
              {{ baustein_referenz(page.steckbrief_referenz) }}
            {% endcall %}

            {% call metadata_card("Downloads", none) %}
              <div class="list-group list-group-flush">
                <a
                  href="{{ page.download_xzufi_href }}"
                  class="list-group-item list-group-item-action d-flex flex-row gap-2 align-items-center"
                >
                  <i class="text-primary bi bi-download"></i>
                  <div>Leistung (XZuFi 2.2.0)</div>
                </a>
              </div>
            {% endcall %}

            <div class="border-start p-3">{{ metadata(page.metadata) }}</div>
          </aside>
        </div>
      </div>
    </div>
  </div>
{% endblock %}
